Bug 449832 - Fall apart effect doesn't work anymore.
Summary: Fall apart effect doesn't work anymore.
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-various (show other bugs)
Version: git-stable-Plasma/5.24
Platform: Archlinux Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-09 09:36 UTC by saxn
Modified: 2022-02-10 21:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description saxn 2022-02-09 09:36:29 UTC
SUMMARY
Just updated the system to 5.24 in arch linux but no effects after the update.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.7-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i5-9300H CPU @ 2.40GHz
Memory: 7.6 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 630
Comment 1 Bug Janitor Service 2022-02-09 09:50:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1985
Comment 2 Vlad Zahorodnii 2022-02-09 11:40:52 UTC
Git commit 20399e0c42c86005d33e8d5997e93ee21f535028 by Vlad Zahorodnii.
Committed on 09/02/2022 at 09:49.
Pushed by vladz into branch 'master'.

effects/scale: Make it not grab open and close roles

Otherwise the fall apart effect will refuse to work; the fade effect
already works like that.

M  +2    -2    src/effects/scale/package/contents/code/main.js

https://invent.kde.org/plasma/kwin/commit/20399e0c42c86005d33e8d5997e93ee21f535028
Comment 3 Vlad Zahorodnii 2022-02-09 11:41:29 UTC
Git commit fa142dd15cb16975e24dd9bd8fb00b7d4da375e7 by Vlad Zahorodnii.
Committed on 09/02/2022 at 11:41.
Pushed by vladz into branch 'Plasma/5.24'.

effects/scale: Make it not grab open and close roles

Otherwise the fall apart effect will refuse to work; the fade effect
already works like that.


(cherry picked from commit 20399e0c42c86005d33e8d5997e93ee21f535028)

M  +2    -2    src/effects/scale/package/contents/code/main.js

https://invent.kde.org/plasma/kwin/commit/fa142dd15cb16975e24dd9bd8fb00b7d4da375e7